# Convert multiple documents

Converts multiple documents, creating an application if one doesn't already exist.
Results can be received in multiple ways:
Callback (preferred): If a URL is specified in the `webhook` parameter, the following will occur:
1. This call will return a `202 ACCEPTED`.
2. Once conversion is complete, Insights will call the provided webhook URL with the results.

Sychronous (deprecated): If the `webhook` parameter is not provided, one of the following will happen:
* If the file is text-based, the results will be returned in the response.
* If the file requires OCR, `202 ACCEPTED` will be returned and you will need to use other endpoints to retrieve the results.

While not required, we recommend including the following parameters:
* `accounttype` - Specifies the type of document. You can also use `autodetect`to automatically pick up different types of documents.
* `includescorecard` - (true/false) Includes the full underwriting scorecard in the results.
* `includetransactions` - (true/false) Includes the full transaction list in the results.
* format - Changes the structure of the JSON for the scorecard (if included).  `jsonobject` is recommended.

Endpoint: POST /uploadpdfs
Version: 1.5
Security: bearerAuth

## Path parameters:

  - `version` (string, required)
    The version of the API.

## Request fields (multipart/form-data):

  - `appnumber` (string)
    Customer-provided identifier for the application.
    Example: ACME Widgets

  - `appid` (integer)
    Insights-generated identifier for the application.
    Example: 123

  - `usenaicsai` (boolean)
    If set to `true`, this returns the [NAICS](https://www.naics.com/search/) code and category of a business in the response as `naicsCodeDerived` and `naicsTitleDerived`. Otherwise, these fields are null.

**Note:** Make sure you also set `accounttype` to `autoDetect` or `applicationForm`.

  - `pdf-filename` (string)
    The file to upload.  Accepts all supported file types, not just PDFs.  This property may be repeated to upload multiple files at once. Either `pdf-filename` or `jsondata` is required.

  - `fileurl` (string)
    The URL of the file(s) to upload. You can place your PDF and JSON files in one ZIP and point the URL to it. From this URL, we can retrieve the zip, unzip the files, and process them.

  - `webhook` (string)
    A URL for Insights to call with the conversion results.
    Example: https://yourdomain.com/webhook.php

  - `dowebsearch` (boolean)
    Setting to `true` performs an AI web search on a merchant to determine its North American Industry Classification System (NAICS) code.

  - `whonlynotify` (boolean)
    Send the webhook only a completion notification (true) or the full results (false).

  - `accounttype` (string)
    The type of document. The choices are `Bank`, `CCard`, `taxform`, `financialStatement` (Beta), `MTJson`, `Plaid`, `applicationForm` or `autoDetect`.
    Enum: "Bank", "CCard", "taxform", "financialStatement", "MTJson", "Plaid", "applicationForm", "autoDetect"

  - `jsondata` (string)
    Use this field when sending JSON text in Plaid or [MoneyThumb format](https://docs.moneythumb.com/guides/mtjson_example). When setting this field, also set the `accounttype` field to the appropriate corresponding value, `Plaid` or `MTJson`.

  - `includescorecard` (boolean)
    Set to `true` to include the Scorecard data in the results.  Please also include the 'format' property set to 'jsonobject'

  - `includetransactions` (boolean)
    Set to `true` to include transactions data (JSON format) in results.

  - `includebalance` (boolean)
    Set to `true` to include the running balance for each transaction. Only use when `includetransactions` is set to `true`.

  - `format` (string)
    The desired structure of the scorecard section of the JSON reponse. `default` is deprecated.
    Enum: "default", "jsonobject"

  - `language` (string)
    The language of a statement.  Uses ISO abbreviations: `en`, `es`, `fr`, `de`, `ln`, `pt`, `it`. Only needed when the statement isn't in English.

  - `schema` (string)
    Use `plaid` when running a Plaid JSON file.  Required to get results for Plaid json files.

  - `readUSdates` (boolean)
    Reads US dates. Set to `true` for US Date format (M-D-Y). Set to `false` for D-M-Y.

  - `writeUSdates` (boolean)
    Writes US dates. Set to `true` for US Date format (M-D-Y). Set to `false` for D-M-Y. Set to `true` if you need Euro dates returned as US dates.

  - `firstpage` (integer)
    The first page number to process (if not page 1).

  - `lastpage` (integer)
    The last page number to process (if not the last page in document).

  - `yearoverride` (integer)
    Sets the year of the statement.

  - `alloweddiff` (integer)
    Sets the value for allowing small balance differences to be ignored. Default is `0`. A value such as `100` would mark the statement as reconciled if the balances were accurate within `$100.00`.

  - `logtype` (string)
    Sets the type of log to create. The choices are `txt`, `htm` or `none`.

  - `combinelines` (boolean)
    Combines description lines into one long description.

  - `noneedalphas` (boolean)
    Recognizes strictly numeric transaction descriptions.

  - `spacingfactor` (number)
    Adjusts how much distance is considered a space.

  - `doocrfile` (boolean)
    Run OCR. Use with caution. Intended for manual use. Set to `true` when initial processing of a statement does not return correct results.

  - `fixedcolumns` (boolean)
    Sets whether standard CSV columns are used. If not set, then the columns will appear in the same order found in the PDF file.

  - `neverocr` (boolean)
    Never runs OCR. Set to `true` to never run OCR.

  - `asyncocr` (boolean)
    Only set to `true` to have an email sent at the completion of an OCR conversion.

  - `accountseqno` (integer)
    For statements with multiple accounts, set which accounts to process. Set to `-1` to process all accounts. To process a specific account, use the integer that corresponds to order of appearance for that account. For example, to process the 2nd account, use `2`.

  - `monthseqno` (integer)
    For files with multiple statements, set which statement to process. Set to `-1` to process all statements. To process a specific statement, use the integer that corresponds to order of appearance for that statement. For example, to process the 2nd statement, use `2`.

  - `readempty` (boolean)
    Set to `true` to show statements with no transactions.

  - `sections` (string)
    The scorecard sections to return. This field can either contain a single section name or multiple section names. To have multiple sections returned, write each section name separated by commas. For a list of valid section names, see the object name of the section in the [Scorecard Reference page](https://docs.moneythumb.com/api/pdf-insights/scorecard). This overrides what is defined in the user profile.

  - `showtranstype` (boolean)
    Set to `true` to show all transaction amounts as positive and include debit/credit in the `type` field. Only use when `includetransactions` is set to `true`.

  - `customerid` (string)
    The reseller customer ID.

  - `owner` (string)
    The owner or company name of the applicant. This is only used in combination with `appnumber`.
    Example: ACME Widgets

  - `userdata` (string)
    The customer provided meta data to return with response. Must be valid JSON. Limited to 250 characters.

## Response 200 fields (application/json):

  - `file_status` (array)

  - `file_status.filename` (string)
    Filename

  - `file_status.statusCode` (integer)
    HTTP response status code.
    Example: 202

  - `file_status.statusType` (string)
    HTTP response status type.
    Example: ACCEPTED

  - `file_status.message` (string)
    Detailed information related to the status.
    Example: JSON is Invalid

  - `file_status.tid` (string)
    The internal tracking ID.

  - `prequalify` (array)

  - `prequalify.result` (string)
    The result of the prequalification check. This can either be `APPROVED` or `DECLINED`.

**Note:** You will get a `NO_DECISION` if you don't run any of the following endpoints first:
- `/uploadpdfs`
- `/makecsv` to `/getresults`
- `/makecsv` to `/scorecard`

  - `prequalify.reasons` (array)
    The reasons for declining approval.

  - `prequalify.reasons.name` (string)
    The scorecard section on where declining of approval occurred.

  - `prequalify.reasons.actual` (string)
    The name of the rule that failed.

  - `prequalify.reasons.threshold` (string)
    The threshold allowed in the prequalification rule.

  - `statement_summaries` (array)

  - `statement_summaries.results` (array)

  - `statement_summaries.results.fileConversionId` (integer)
    Internal use only.

  - `statement_summaries.results.detectedDocTypeText` (string)
    The document type that's detected. They can be `Bank Statement`, `Credit Card Statement`, `Application`, `Investment Statement`, or `Tax Form`.

  - `statement_summaries.results.processedDocTypeText` (string)
    The document type flagged when processed. They can be `Bank Statement`, `Credit Card Statement`, `Application`, `Investment Statement`, or `Tax Form`.

  - `statement_summaries.results.reconciled` (boolean)
    Shows whether the statement reconciles.

  - `statement_summaries.results.donegate` (boolean)
    Shows whether the statement values need to be negated for the statement to balance. Typically `true` for credit card statements."

  - `statement_summaries.results.columnsValid` (boolean)
    For multi-statement PDFs, shows whether the columns for each statement match.

  - `statement_summaries.results.fdicaddress` (string)
    Shows the physical address of the bank.

  - `statement_summaries.results.fdiccity` (string)
    Shows the city where the bank is located.

  - `statement_summaries.results.fdicstate` (string)
    Shows the state where the bank is located.

  - `statement_summaries.results.fdiczipcode` (string)
    Shows the zip code of the bank.

  - `statement_summaries.results.nsfcount` (integer)
    The number of NSF transactions and overdraft transactions.

  - `statement_summaries.results.address1` (string)
    The first line of address.

  - `statement_summaries.results.address2` (string)
    The second line of address.

  - `statement_summaries.results.name` (string)
    The account owner name.

  - `statement_summaries.results.company` (string)
    The account owner company.

  - `statement_summaries.results.city` (string)
    The city from address.

  - `statement_summaries.results.state` (string)
    The state or province from address.

  - `statement_summaries.results.postalcode` (string)
    Postal code

  - `statement_summaries.results.country` (string)
    Country

  - `statement_summaries.results.remaining` (integer)
    The number of remaining conversions.

  - `statement_summaries.results.transactions` (object)
    Not populated, use transactions API endpoint to retrieve transactions data.

  - `statement_summaries.results.suggestion` (string)
    Suggestion(s) to help improve conversion results for PDF statement.

  - `statement_summaries.results.pagecount` (integer)
    The number of pages in PDF.

  - `statement_summaries.results.email` (string)
    The email for sending notifications when finished OCR processing.

  - `statement_summaries.results.webhook` (string)
    The webhook for sending the results summary when finished converting.

  - `statement_summaries.results.returnType` (integer)
    The output type for results. It's normally 3 for JSON output.

  - `statement_summaries.results.minResolution` (integer)
    The minimum resolution found in an image.

  - `statement_summaries.results.maxResolution` (integer)
    The maximum resolution found in an image.

  - `statement_summaries.results.accounttype` (integer)
    The account type. 0=Bank; 2=Credit Card.

  - `statement_summaries.results.fraudscore` (integer)
    The Thumbprint fraud score.

  - `statement_summaries.results.producer` (string)
    The software that produced the PDF.

  - `statement_summaries.results.tpreasonsIndexes` (array)

  - `statement_summaries.results.tpreasons` (array)
    The list of reasons for the Thumbprint score.

  - `statement_summaries.results.bankphones` (array)
    The list of phone numbers found in the statement.

  - `statement_summaries.results.cdate` (string)
    The PDF creation date.

  - `statement_summaries.results.mdate` (string)
    The PDF last modified date.

  - `statement_summaries.results.isMonthToDate` (boolean)
    The statement is Month To Date.

  - `statement_summaries.results.isBusiness` (boolean)
    Shows whether this is a business account. This is inferred from the owner name or account title.

  - `statement_summaries.results.accounttitle` (string)

  - `statement_summaries.results.accounttypestr` (string)
    A string with the account type as gleaned from the input, account titles, checks, etc. This could be either Checking, Savings, MoneyMarket, Line of Credit, or CCard.

  - `statement_summaries.results.form` (object)

  - `statement_summaries.results.form.legalName` (string)

  - `statement_summaries.results.form.dba` (string)

  - `statement_summaries.results.form.federalTaxId` (string)

  - `statement_summaries.results.form.dateBusStart` (string)

  - `statement_summaries.results.form.legalForm` (string)

  - `statement_summaries.results.form.typeOfBiz` (string)

  - `statement_summaries.results.form.stateOfInc` (string)

  - `statement_summaries.results.form.prodOrServ` (string)

  - `statement_summaries.results.form.physAddrStreet` (string)

  - `statement_summaries.results.form.physAddrCity` (string)

  - `statement_summaries.results.form.physAddrState` (string)

  - `statement_summaries.results.form.physAddrZip` (string)

  - `statement_summaries.results.form.phone` (string)

  - `statement_summaries.results.form.mobile` (string)

  - `statement_summaries.results.form.email` (string)

  - `statement_summaries.results.form.website` (string)

  - `statement_summaries.results.form.amountRequested` (string)

  - `statement_summaries.results.form.grossAnnualRev` (string)

  - `statement_summaries.results.form.grossCcReceipts` (string)

  - `statement_summaries.results.form.owner1Name` (string)

  - `statement_summaries.results.form.owner1Title` (string)

  - `statement_summaries.results.form.owner1Perc` (string)

  - `statement_summaries.results.form.owner1Street` (string)

  - `statement_summaries.results.form.owner1City` (string)

  - `statement_summaries.results.form.owner1State` (string)

  - `statement_summaries.results.form.owner1Zip` (string)

  - `statement_summaries.results.form.owner1DOB` (string)

  - `statement_summaries.results.form.owner1SSN` (string)

  - `statement_summaries.results.form.owner1Phone` (string)

  - `statement_summaries.results.form.owner1Email` (string)

  - `statement_summaries.results.form.owner1CredScore` (string)

  - `statement_summaries.results.form.owner2Name` (string)

  - `statement_summaries.results.form.owner2Title` (string)

  - `statement_summaries.results.form.owner2Perc` (string)

  - `statement_summaries.results.form.owner2Street` (string)

  - `statement_summaries.results.form.owner2City` (string)

  - `statement_summaries.results.form.owner2State` (string)

  - `statement_summaries.results.form.owner2Zip` (string)

  - `statement_summaries.results.form.owner2DOB` (string)

  - `statement_summaries.results.form.owner2SSN` (string)

  - `statement_summaries.results.form.owner2Phone` (string)

  - `statement_summaries.results.form.owner2Email` (string)

  - `statement_summaries.results.form.owner2CredScore` (string)

  - `statement_summaries.results.form.submissionId` (integer)

  - `statement_summaries.results.form.loanCorp` (string)

  - `statement_summaries.results.form.fields` (array)

  - `statement_summaries.results.form.fields.name` (string)

  - `statement_summaries.results.form.fields.value` (string)

  - `statement_summaries.results.form.nbFoundFields` (integer)

  - `statement_summaries.results.naicsCodeDerived` (string)

  - `statement_summaries.results.naicsTitleDerived` (string)

  - `statement_summaries.results.currencycode` (string)

  - `statement_summaries.results.language` (string)

  - `statement_summaries.results.chargevalue` (integer)

  - `statement_summaries.results.statementid` (integer)
    The ID statement (for PDF Insights only).

  - `statement_summaries.results.detectedDocType` (integer)

  - `statement_summaries.results.processedDocType` (integer)

  - `statement_summaries.results.uncounted` (integer)

  - `statement_summaries.results.uselessPages` (integer)

  - `statement_summaries.results.fail` (boolean)

  - `statement_summaries.results.likelyMissingTransactions` (boolean)
    Shows whether we detect transactions are missing from the statement.

  - `statement_summaries.results.requiresRerunWithOCR` (boolean)
    Shows whether OCR is required to process the file. Only use when `neverocr=true`.

  - `statement_summaries.results.nonTransactions` (string)
    Shows non-transactions.

  - `statement_summaries.results.isStrongAccountNo` (boolean)
    Shows that it's very likely the account number is correct.

  - `statement_summaries.results.filePreviouslySeen` (string)
    Returns the `numInLast3Days` field.

  - `statement_summaries.results.numInLast3Days` (integer)
    Shows the number of times a file was seen in the last 3 days.

  - `statement_summaries.results.financialResult` (object)
    Results of a financial statement.

  - `statement_summaries.results.numTransactions` (integer)
    The number of transactions. If it's a negative number, then an error occurred.

  - `statement_summaries.results.balancesValid` (boolean)
    Both starting and ending balances were found in the PDF statement.

  - `statement_summaries.results.numCredits` (integer)
    The number of credits.

  - `statement_summaries.results.numDebits` (integer)
    The number of debits.

  - `statement_summaries.results.startBalance` (number)
    The starting balance of the statement, if found. Otherwise, it's 0.00.

  - `statement_summaries.results.endBalance` (number)
    The ending balance of the statement, if found. Otherwise, it's 0.00.

  - `statement_summaries.results.endBalanceCalc` (number)
    The calculated ending balance of the statement (startBalance + totCredits - totDebits).

  - `statement_summaries.results.endBalancePDF` (number)
    The calculated ending balance as presented on the statement.

  - `statement_summaries.results.totCredits` (number)
    The total of all the credits in the statement.

  - `statement_summaries.results.totDebits` (number)
    The total of all the debits in the statement.

  - `statement_summaries.results.accountNumber` (string)
    Account number

  - `statement_summaries.results.bankName` (string)
    Bank name. If not found it will be Unknown.

  - `statement_summaries.results.bankURL` (string)
    Bank URL

  - `statement_summaries.results.accountOwner` (array)
    The account owner address block from the statement.

  - `statement_summaries.results.customerId` (string)
    User-provided ID for this statement that returns unchanged in the results.

  - `statement_summaries.results.headerValid` (boolean)
    Shows whether header is valid.

  - `statement_summaries.results.negate` (boolean)

  - `statement_summaries.results.trackingId` (string)
    The user-provided or internally generated ID for tracking conversion.

  - `statement_summaries.results.TaxForms` (string)
    Shows the name of the tax for.

  - `statement_summaries.results.firstDate` (string)
    The date of the first transaction (in ISO 8601 format).

  - `statement_summaries.results.lastDate` (string)
    The date of the last transaction (in ISO 8601 format).

  - `statement_summaries.results.startDate` (string)
    The start date of the statement (in ISO 8601 format). If not found, it defaults to `firstDate`.

  - `statement_summaries.results.endDate` (string)
    The end date of the statement (in ISO 8601 format). If not found, it defaults to `lastDate`.

  - `statement_summaries.results.numMonths` (integer)
    The number of months in the PDF.

  - `statement_summaries.results.monthSequence` (integer)
    The month sequence, starting with 0 for 1st month.

  - `statement_summaries.results.numAccounts` (integer)
    The number of accounts.

  - `statement_summaries.results.accountSequence` (integer)
    The account sequence, starting with 0 for 1st account.

  - `statement_summaries.results.ocr` (boolean)
    Shows whether it was processed using OCR.

  - `statement_summaries.results.image` (boolean)
    Show whether PDF was an image (not text-based).

  - `statement_summaries.results.docType` (integer)
    The document type. 0 for bank or credit card statement. 1 for tax form.

  - `statement_summaries.results.numTypos` (integer)
    The number of typos fixed by PDF+ PinPoint.

  - `statement_summaries.results.suspectCount` (integer)
    The number of currency values with low-confidence digits.

  - `statement_summaries.results.webReport` (boolean)
    Shows whether PDF was a web report.

  - `statement_summaries.results.overDraftLimit` (number)
    Shows the overdraft limit (if found) in the statement.

  - `statement_summaries.results.previewRequired` (boolean)
    Shows whether preview is recommended due to typos found or if `suspectCount` is more than 0.

  - `statement_summaries.logurl` (string)
    The location of the log file for conversions.

  - `statement_summaries.csvurl` (string)
    The location of the CSV file of transactions.

  - `statement_summaries.error` (string)
    Error message

  - `statement_summaries.tid` (string)
    The internal tracking ID.

  - `statement_summaries.uniqueTid` (string)
    This is the unique tracking ID for each statement in a file. It returns as `tid-N`.

  - `statement_summaries.outputurl` (string)
    The URL of the output (for Accounting applications only).

  - `statement_summaries.statementid` (integer)
    Use `statementid` in results object instead.

  - `statement_summaries.convertedstatements` (integer)
    The count of converted statements.

  - `statement_summaries.convertedtaxforms` (integer)
    The count of converted tax forms.

  - `statement_summaries.taxform` (string)
    The tax form number.

  - `statement_summaries.taxsales` (string)
    Tax sales

  - `statement_summaries.taxgross` (string)
    Tax gross

  - `statement_summaries.taxincome` (string)
    Tax income

  - `statement_summaries.taxableincome` (string)
    Taxable income

  - `statement_summaries.statementseq` (integer)
    The sequence number of this statement in last conversion list (0 based).

  - `appinfo` (object)

  - `appinfo.appnumber` (string)
    The unique application number assigned by the user.

  - `appinfo.appid` (integer)
    The unique application ID assigned by the system.

  - `appinfo.naccounts` (integer)
    The number of accounts.

  - `appinfo.owner` (string)
    Application owner

  - `appinfo.totalstatements` (integer)
    The number of statements in the application.

  - `appinfo.totalstatements_reconciled` (integer)
    The number of statements that reconcile.

  - `appinfo.totaltaxforms` (integer)
    The number of tax forms.

  - `appinfo.totaltaxreturns` (integer)
    The number of tax returns.

  - `appinfo.address1` (string)
    The first line of address.

  - `appinfo.address2` (string)
    The second line of address.

  - `appinfo.citystate` (string)
    The city and state of address.

  - `appinfo.city` (string)
    The city of the address.

  - `appinfo.state` (string)
    The state of the address.

  - `appinfo.zip` (string)
    The zip code of the address.

  - `appinfo.expfactor` (string)
    Expense factor

  - `appinfo.accountlist` (array)
    List of accounts: `account number` `statement date`.

  - `appinfo.webSearch` (object)
    AI web search results on a merchant.

  - `appinfo.webSearch.industry` (object)
    Industry of merchant.

  - `appinfo.webSearch.industry.primary` (object)
    Primary industry of merchant.

  - `appinfo.webSearch.industry.primary.naics` (integer)
    North American Industry Classfication System (NAICS) code.
    Example: 123456

  - `appinfo.webSearch.industry.primary.title` (string)
    Merchant category
    Example: All Other Miscellaneous Food Manufacturing

  - `appinfo.webSearch.industry.primary.explanation` (string)
    Explanation from the web search on why the merchant was placed in this certain category.

  - `appinfo.webSearch.industry.primary.weight` (float)
    The confidence from the web search that it's the correct NAICS code.
    Example: 45.0

  - `appinfo.webSearch.industry.primary.confidence` (string)
    Industry confidence. It can either be `Low`, `Medium`, or `High`.
    Example: High

  - `appinfo.webSearch.industry.alternate` (object)
    Secondary industry of merchant.

  - `appinfo.webSearch.industry.alternate.naics` (integer)
    North American Industry Classfication System (NAICS) code.
    Example: 654321

  - `appinfo.webSearch.industry.alternate.title` (string)
    Merchant Category
    Example: Caterers

  - `appinfo.webSearch.industry.alternate.explanation` (string)
    Explanation from the web search on why the merchant was placed in this category.

  - `appinfo.webSearch.industry.alternate.weight` (float)
    The confidence from the web search that it's the correct NAICS code.
    Example: 25.0

  - `appinfo.webSearch.homeBasedBusiness` (boolean)
    Whether the merchant is a home-based business.

  - `appinfo.webSearch.sitesUsed` (string)
    The URLs of the sites used during the web search.

  - `appinfo.webSearch.lastRun` (string)
    The time stamp of when the web search was run.

  - `appinfo.webSearch.hasMinimalWebPresence` (string)
    Whether business has minimal web presence.

  - `appinfo.webSearch.businessDescription` (string)
    The description of the business.

  - `scorecard` (object)

  - `scorecard._metadata` (object)

  - `scorecard._metadata.someTransactionsExcludedDueToValidationFailures` (boolean)

  - `scorecard._metadata.numFileConversionsInProgress` (integer)

  - `scorecard._metadata.warnings` (string)
    Example: Section 'combinedsummary' encountered an error.

  - `scorecard.metrics` (object)

  - `scorecard.metrics.metricdata` (array)
    Average monthly and annualized revenue statistics.

  - `scorecard.prequalifyrules` (object)
    The prequalification rules of why a merchant application was rejected. This information only appears if you have prequalify enabled. To enable prequalify, please contact [MoneyThumb Support](https://www.moneythumb.com/support/).

  - `scorecard.prequalifyrules.labels` (array)

  - `scorecard.prequalifyrules.labels.label` (string)

  - `scorecard.prequalifyrules.labels.name` (string)

  - `scorecard.prequalifyrules.columns` (array)

  - `scorecard.prequalifyrules.columns.name` (string)

  - `scorecard.prequalifyrules.columns.data` (string)

  - `scorecard.prequalifyrules.data` (array)

  - `scorecard.prequalifyrules.data.rule_name` (string)
    The name of the prequalification rule.

  - `scorecard.prequalifyrules.data.actual_value` (string)
    The merchant application amount for this rule.

  - `scorecard.prequalifyrules.data.threshold` (integer)
    The threshold amount for this rule.

  - `scorecard.prequalifypassedrules` (object)
    The list of rules that passed  prequalification. This information only appears if you have prequalify enabled. To enable prequalify, please contact [MoneyThumb Support](https://www.moneythumb.com/support/).

  - `scorecard.prequalifypassedrules.labels` (array)

  - `scorecard.prequalifypassedrules.labels.label` (string)

  - `scorecard.prequalifypassedrules.labels.name` (string)

  - `scorecard.prequalifypassedrules.columns` (array)

  - `scorecard.prequalifypassedrules.columns.name` (string)

  - `scorecard.prequalifypassedrules.columns.data` (string)

  - `scorecard.prequalifypassedrules.data` (array)

  - `scorecard.prequalifypassedrules.data.rule_name` (string)
    The name of the rule that passed prequalification.

  - `scorecard.debtsummary` (object)
    Monthly summary of loan withdrawals by type.

  - `scorecard.debtsummary.labels` (array)

  - `scorecard.debtsummary.labels.label` (string)

  - `scorecard.debtsummary.labels.name` (string)

  - `scorecard.debtsummary.columns` (array)

  - `scorecard.debtsummary.columns.name` (string)

  - `scorecard.debtsummary.columns.data` (string)

  - `scorecard.debtsummary.data` (array)

  - `scorecard.debtsummary.data.DT_RowId` (string)

  - `scorecard.debtsummary.data.month` (string)
    Month

  - `scorecard.debtsummary.data.mca` (string)
    Total MCA withdrawals for the month.

  - `scorecard.debtsummary.data.nonmcaloan` (string)
    Total amount of Non-MCA withdrawals for the month.

  - `scorecard.debtsummary.data.autofinance` (string)
    Total auto-finance loan withdrawals for the month.

  - `scorecard.debtsummary.data.studentloan` (string)
    Total student loan withdrawals for the month.

  - `scorecard.debtsummary.data.mortgage` (string)
    Total mortgage withdrawals for the month.

  - `scorecard.debtsummary.data.personalloan` (string)
    Total personal loan withdrawals for the month.

  - `scorecard.debtsummary.data.total` (string)
    Total amount of debt withdrawals for the month.

  - `scorecard.operatingexpenses` (object)
    Monthly summary of business operation expenses by type.

  - `scorecard.operatingexpenses.labels` (array)

  - `scorecard.operatingexpenses.labels.label` (string)

  - `scorecard.operatingexpenses.labels.name` (string)

  - `scorecard.operatingexpenses.columns` (array)

  - `scorecard.operatingexpenses.columns.name` (string)

  - `scorecard.operatingexpenses.columns.data` (string)

  - `scorecard.operatingexpenses.data` (array)

  - `scorecard.operatingexpenses.data.DT_RowId` (string)

  - `scorecard.operatingexpenses.data.month` (string)
    Month

  - `scorecard.operatingexpenses.data.payroll` (string)
    The total amount of payroll-related expenses for the month.

  - `scorecard.operatingexpenses.data.insurance` (string)
    The total amount of insurance-related expenses for the month.

  - `scorecard.operatingexpenses.data.toll` (string)
    The total amount of toll-related expenses for the month.

  - `scorecard.operatingexpenses.data.construction` (string)
    The total amount of construction-related expenses for the month.

  - `scorecard.operatingexpenses.data.eCommerce` (string)
    The total amount of ecommerce-related expenses for the month.

  - `scorecard.operatingexpenses.data.mcafees` (string)
    The total amount of MCA fees for the month.

  - `scorecard.operatingexpenses.data.utilities` (string)
    The total amount of utility-related expenses for the month.

  - `scorecard.operatingexpenses.data.total` (string)
    The total amount of overall business expenses for the month.

  - `scorecard.accountslist` (object)

  - `scorecard.accountslist.columns` (array)

  - `scorecard.accountslist.columns.name` (string)

  - `scorecard.accountslist.columns.data` (string)

  - `scorecard.accountslist.labels` (array)

  - `scorecard.accountslist.labels.label` (string)

  - `scorecard.accountslist.labels.name` (string)

  - `scorecard.accountslist.data` (array)

  - `scorecard.accountslist.data.DT_RowId` (string)

  - `scorecard.accountslist.data.accountidx` (string)
    The unique integer identifier of the account within this scorecard.

  - `scorecard.accountslist.data.account` (string)
    Account number.  It may be masked or made artificially unique based on user settings.

  - `scorecard.accountslist.data.start_date` (string)
    The first date of statement in [MMM DD, YYYY] format.

  - `scorecard.accountslist.data.ending_date` (string)
    The last date of statement in [MMM DD, YYYY] format.

  - `scorecard.accountslist.data.statement_year` (integer)
    The statement year as an integer. For example, 2024.

  - `scorecard.accountslist.data.statement_month` (string)
    The statement month as a full month string. For example, "January".

  - `scorecard.accountslist.data.statement_month_num` (integer)
    The statement month as an integer. For example, 1.

  - `scorecard.accountslist.data.statement_month_num_and_name` (string)
    The statement month as an integer and string. For example, "1 - January".

  - `scorecard.accountslist.data.fraud_score` (integer)
    The thumbprint fraud score as an integer.

  - `scorecard.accountslist.data.reconciled` (string)
    The statement reconciled indicator, true or false.

  - `scorecard.accountslist.data.total_credits` (number)
    The total currency value of all credits.

  - `scorecard.accountslist.data.true_credits` (number)
    The total currency value of all true credits.

  - `scorecard.accountslist.data.non-true_credits` (number)
    The total currency value of all non-true credits.

  - `scorecard.accountslist.data.other_credits` (number)
    The total amount of untrue credits excluding MCA credits.

  - `scorecard.accountslist.data.num_credits` (integer)
    The number of credit transactions.

  - `scorecard.accountslist.data.num_true_credits` (integer)
    The number of true credit transactions.

  - `scorecard.accountslist.data.num_non-true_credits` (integer)
    The number of non-true credit transactions.

  - `scorecard.accountslist.data.num_other_credits` (integer)
    The total number of untrue credits excluding MCA credits.

  - `scorecard.accountslist.data.total_debits` (number)
    The total currency value of all debits.

  - `scorecard.accountslist.data.true_debits` (number)
    The total currency value of all true debits.

  - `scorecard.accountslist.data.non-true_debits` (number)
    The total currency value of all non-true debits.

  - `scorecard.accountslist.data.net_cashflow` (number)
    Total credits minus total debits.

  - `scorecard.accountslist.data.avg_balance` (number)
    The average daily balance during the statement period.

  - `scorecard.accountslist.data.min_balance` (number)
    The minimum daily balance during the statement period.

  - `scorecard.accountslist.data.avg_true_balance` (number)
    The average daily true balance during the statement period.

  - `scorecard.accountslist.data.starting_balance` (number)
    The starting balance of the statement.

  - `scorecard.accountslist.data.ending_balance` (number)
    The ending balance of the statement.

  - `scorecard.accountslist.data.balance_match` (boolean)
    Indicates if the starting balance of this statement match the ending balance of the previous one.

  - `scorecard.accountslist.data.month_gap` (boolean)
    Indicates if there is a gap in dates between this statement and the previous one.

  - `scorecard.accountslist.data.bank_name` (string)
    Name of the bank that produced this statement.

  - `scorecard.accountslist.data.account_owner` (string)
    Owner of the account as found on the statement.

  - `scorecard.accountslist.data.file_previously_seen` (integer)
    Shows the number of times a file was seen in the last 3 days.

  - `scorecard.accountslist.data.bank_address` (string)
    Shows the physical address of the bank.

  - `scorecard.accountslist.data.bank_city` (string)
    Shows the city where the bank is located.

  - `scorecard.accountslist.data.bank_state` (string)
    Shows the state where the bank is located.

  - `scorecard.accountslist.data.fdic_bank_name` (string)
    Shows the FDIC bank name.

  - `scorecard.accountslist.data.bank_zipcode` (string)
    Shows the zip code of the bank.

  - `scorecard.accountslist.data.num_of_mca_positions` (integer)
    The number of MCAs with deposits in the statement.

  - `scorecard.accountslist.data.mcas_with_deposits` (string)
    The list of the MCA companies with deposits in the statement.

  - `scorecard.accountslist.data.mca_deposit_dates` (string)
    The deposit dates from the MCA.

  - `scorecard.accountslist.data.mca_credits_net_returns` (string)
    The sum of MCA Credits minus MCA Returns.

  - `scorecard.accountslist.data.days_neg` (integer)
    The number of days with a negative balance during the statement period.

  - `scorecard.accountslist.data.low_days` (integer)
    The number of days with a low balance during the statement period.

  - `scorecard.accountslist.data.num_nsfs` (integer)
    Number of NSF transactions.

  - `scorecard.accountslist.data.total_nsfs` (number)
    Currency amount of NSF transactions.

  - `scorecard.accountslist.data.num_ods` (integer)
    Number of overdrafts.

  - `scorecard.accountslist.data.total_overdraft_amount` (number)
    Currency amount of overdrafts.

  - `scorecard.accountslist.data.num_stops` (integer)
    Number of stop payments.

  - `scorecard.accountslist.data.days_w_returns` (integer)
    Number of days with return transactions.

  - `scorecard.accountslist.data.num_transfers` (integer)
    The number of transfers.

  - `scorecard.accountslist.data.transfers_total` (number)
    The total amount of transfers.

  - `scorecard.accountslist.data.num_incoming_transfers` (integer)
    The number of incoming transfers.

  - `scorecard.accountslist.data.total_incoming_transfers` (number)
    The total amount of incoming transfers.

  - `scorecard.accountslist.data.num_outgoing_transfers` (integer)
    The number of the outgoing transfers.

  - `scorecard.accountslist.data.total_outgoing_transfers` (number)
    The total amount of outgoing transfers.

  - `scorecard.accountslist.data.mca_debits` (number)
    Total amount of MCA debits in statements.

  - `scorecard.accountslist.data.mca_credits` (number)
    Total amount of MCA credits in statements.

  - `scorecard.accountslist.data.recovery_debits` (number)
    Total amount of recovery debits in statements.

  - `scorecard.accountslist.data.recovery_credits` (number)
    Total amount of recovery credits in statements.

  - `scorecard.accountslist.data.num_mcas` (integer)
    Number of MCA companies found.

  - `scorecard.accountslist.data.mca_withhold_percent` (number)
    Percentage of total MCA debits out of true credits.

  - `scorecard.accountslist.data.num_investments` (integer)
    Number of investment transactions.

  - `scorecard.accountslist.data.investments_total` (number)
    Currency value of investment transactions.

  - `scorecard.accountslist.data.num_mobile_payments` (integer)
    Count of mobile payments.

  - `scorecard.accountslist.data.mobile_payments_total` (number)
    Total amount of mobile payments.

  - `scorecard.accountslist.data.num_factoring` (integer)
    The number of factoring transactions.

  - `scorecard.accountslist.data.factoring_total` (number)

  - `scorecard.accountslist.data.num_nefarious_transactions` (integer)
    The number of nefarious transactions.

  - `scorecard.accountslist.data.nefarious_transactions_total` (number)
    The total amount of nefarious transactions.

  - `scorecard.accountslist.data.num_other_financing_transactions` (integer)
    The number of other financing transactions.

  - `scorecard.accountslist.data.other_financing_transactions_total` (number)
    The total amount of other financing transactions.

  - `scorecard.accountslist.data.num_payroll` (integer)
    The number of payroll transactions.

  - `scorecard.accountslist.data.payroll_total` (number)
    The total amount of payroll transactions.

  - `scorecard.accountslist.data.num_healthcare_claims` (integer)
    The number of healthcare claim transactions.

  - `scorecard.accountslist.data.healthcare_claims_total` (number)
    The total amount of healthcare claim transactions.

  - `scorecard.accountslist.data.num_tolls` (integer)
    The number of toll transactions.

  - `scorecard.accountslist.data.tolls_total` (number)
    The total amount of toll transactions.

  - `scorecard.accountslist.data.num_payment_processor_transactions` (integer)
    The number of payment processor transactions.

  - `scorecard.accountslist.data.total_payment_processor_transactions` (integer)
    The total amount of payment processor transactions.

  - `scorecard.accountslist.data.total_nondescript_revenue` (number)
    The total amount of nondescript revenue transactions.

  - `scorecard.accountslist.data.num_nondescript_revenue_transactions` (integer)
    The number of nondescript revenue transactions.

  - `scorecard.accountslist.data.total_non-mca_loans` (number)
    The total amount of non-MCA loan transactions.

  - `scorecard.accountslist.data.number_of_non-mca_loan_transactions` (number)
    The total number of non-MCA loan transactions.

  - `scorecard.accountslist.data.num_mca_loan_payments` (integer)
    The number of MCA loan payments.

  - `scorecard.accountslist.data.total_mca_loan_payments` (number)
    The total amount of MCA loan payments.

  - `scorecard.accountslist.data.num_mobile_payment_debit` (integer)
    The number of mobile payment debits.

  - `scorecard.accountslist.data.total_mobile_payment_debit` (number)
    The total amount of mobile payment debits.

  - `scorecard.accountslist.data.num_nefarious_withdrawals` (integer)
    The number of nefarious withdrawals.

  - `scorecard.accountslist.data.total_nefarious_withdrawal` (number)
    The total amount of nefarious withdrawals.

  - `scorecard.accountslist.data.num_debt_collector` (integer)
    The number of debt collectors.

  - `scorecard.accountslist.data.total_debt_collector` (number)
    The total amount of debt collectors.

  - `scorecard.accountslist.data.num_atm_withdrawals` (integer)
    The number of ATM withdrawals.

  - `scorecard.accountslist.data.total_atm_withdrawals` (number)
    The total amount of ATM withdrawals.

  - `scorecard.accountslist.data.num_construction_debits` (integer)
    The number of construction debits.

  - `scorecard.accountslist.data.total_construction_debits` (number)
    The total amount of construction debits.

  - `scorecard.accountslist.data.num_insurance` (integer)
    The number of insurance transactions.

  - `scorecard.accountslist.data.total_insurance` (number)
    The total amount of insurance transactions.

  - `scorecard.accountslist.data.num_of_returns` (integer)
    The number of returns.

  - `scorecard.accountslist.data.total_returns` (number)
    The total amount of returns.

  - `scorecard.accountslist.data.num_of_other_debits` (integer)
    The number of other debits.

  - `scorecard.accountslist.data.total_other_debits` (number)
    The total amount of other debits.

  - `scorecard.combinedsummary` (object)

  - `scorecard.combinedsummary.columns` (array)

  - `scorecard.combinedsummary.columns.name` (string)

  - `scorecard.combinedsummary.columns.data` (string)

  - `scorecard.combinedsummary.labels` (array)

  - `scorecard.combinedsummary.labels.label` (string)

  - `scorecard.combinedsummary.labels.name` (string)

  - `scorecard.combinedsummary.data` (array)

  - `scorecard.combinedsummary.data.DT_RowId` (string)

  - `scorecard.combinedsummary.data.month` (string)
    Month and year
    Example: February 2020

  - `scorecard.combinedsummary.data.daysMissing` (integer)

  - `scorecard.combinedsummary.data.totalcredits` (number)
    The total currency value of all credits.

  - `scorecard.combinedsummary.data.totaltruecredits` (number)
    The total currency value of all true credits.

  - `scorecard.combinedsummary.data.totaladjcredits` (number)
    The total currency value of all non-true credits.

  - `scorecard.combinedsummary.data.numbercredits` (integer)
    The number of credit transactions.

  - `scorecard.combinedsummary.data.numbertruecredits` (integer)
    The number of true credit transactions.

  - `scorecard.combinedsummary.data.numberadjcredits` (integer)
    The number of non-true credit transactions.

  - `scorecard.combinedsummary.data.totaldebits` (number)
    The total currency value of all debits.

  - `scorecard.combinedsummary.data.totaltruedebits` (number)
    The total currency value of all true debits.

  - `scorecard.combinedsummary.data.totaladjdebits` (number)
    The total currency value of all non-true debits.

  - `scorecard.combinedsummary.data.numberdebits` (integer)
    The number of debit transactions.

  - `scorecard.combinedsummary.data.numbertruedebits` (integer)
    The number of true debit transactions.

  - `scorecard.combinedsummary.data.numberadjdebits` (integer)
    The number of non-true debit transactions.

  - `scorecard.combinedsummary.data.averagebalance` (number)
    The average daily balance during the month.

  - `scorecard.combinedsummary.data.averagetruebalance` (number)
    The average daily true balance during the month.

  - `scorecard.combinedsummary.data.startbalance` (number)
    The starting balance of the month.

  - `scorecard.combinedsummary.data.endbalance` (number)
    The ending balance of the month.

  - `scorecard.combinedsummary.data.daysnegative` (integer)
    The number of days with a negative balance during the month.

  - `scorecard.combinedsummary.data.dayslow` (integer)
    The number of days with a low balance during the month.

  - `scorecard.combinedsummary.data.numbernsf` (integer)
    The number of NSF transactions for the month.

  - `scorecard.combinedsummary.data.numberod` (integer)
    Number of overdrafts for the month.

  - `scorecard.combinedsummary.data.numberstops` (integer)
    Number of stop payments for the month.

  - `scorecard.combinedsummary.data.dayswithreturns` (integer)
    The number of days with return transactions for the month.

  - `scorecard.combinedsummary.data.numbertransfers` (integer)
    The number of transfers.

  - `scorecard.combinedsummary.data.numbertransfersincoming` (integer)
    The number of incoming transfers.

  - `scorecard.combinedsummary.data.numbertransfersoutgoing` (integer)
    The number of the outgoing transfers.

  - `scorecard.combinedsummary.data.nummca` (integer)
    Number of MCA companies found.

  - `scorecard.combinedsummary.data.mcadebits` (number)
    Total amount of MCA debits for the month.

  - `scorecard.combinedsummary.data.mcacredits` (number)
    The total amount of MCA credits for the month.

  - `scorecard.combinedsummary.data.recoverydebits` (number)
    The total amount of recovery debits for the month.

  - `scorecard.combinedsummary.data.recoverycredits` (number)
    Total amount of recovery credits for the month.

  - `scorecard.combinedsummary.data.transferstotal` (number)
    The total amount of transfers for the month.

  - `scorecard.combinedsummary.data.outgoingtransferstotal` (number)
    The number of the outgoing transfers for the month.

  - `scorecard.combinedsummary.data.incomingtransferstotal` (number)
    The total amount of incoming transfers for the month.

  - `scorecard.combinedsummary.data.minimumbalance` (number)
    The minimum daily balance during the month.

  - `scorecard.combinedsummary.data.investmentscount` (integer)
    The number of investment transactions for the month.

  - `scorecard.combinedsummary.data.investmentstotal` (number)
    Currency value of investment transactions for the month.

  - `scorecard.combinedsummary.data.mobilepaymentscount` (integer)
    The number of mobile payments credits for the month.

  - `scorecard.combinedsummary.data.mobilepaymentstotal` (number)
    The total amount of mobile payments for the month.

  - `scorecard.truerev6mo` (object)

  - `scorecard.truerev6mo.columns` (array)

  - `scorecard.truerev6mo.columns.name` (string)

  - `scorecard.truerev6mo.columns.data` (string)

  - `scorecard.truerev6mo.labels` (array)

  - `scorecard.truerev6mo.labels.label` (string)

  - `scorecard.truerev6mo.labels.name` (string)

  - `scorecard.truerev6mo.data` (array)

  - `scorecard.truerev6mo.data.0` (object)
    Data values matching 0th column.  Repeated for all columns

  - `scorecard.truerev6mo.data.0.revenue` (number)

  - `scorecard.truerev6mo.data.0.percentChange` (number)

  - `scorecard.truerev6mo.data.accountNumber` (string)
    Account number or Total
    Example: 123456789

  - `scorecard.taxscorelist` (object)

  - `scorecard.taxscorelist.labels` (array)

  - `scorecard.taxscorelist.labels.label` (string)

  - `scorecard.taxscorelist.labels.name` (string)

  - `scorecard.taxscorelist.columns` (array)

  - `scorecard.taxscorelist.columns.name` (string)

  - `scorecard.taxscorelist.columns.data` (string)

  - `scorecard.taxscorelist.data` (array)

  - `scorecard.taxscorelist.data.DT_RowId` (string)

  - `scorecard.taxscorelist.data.source` (string)
    Location of the value
    Example: Income Statement

  - `scorecard.taxscorelist.data.form_1120_(2014)` (number)
    Value
    Example: 1205.20

  - `scorecard.thumbprints` (object)

  - `scorecard.thumbprints.labels` (array)

  - `scorecard.thumbprints.labels.label` (string)

  - `scorecard.thumbprints.labels.name` (string)

  - `scorecard.thumbprints.columns` (array)

  - `scorecard.thumbprints.columns.name` (string)

  - `scorecard.thumbprints.columns.data` (string)

  - `scorecard.thumbprints.data` (array)

  - `scorecard.thumbprints.data.DT_RowId` (string)

  - `scorecard.thumbprints.data.account` (string)
    Account number
    Example: 123456789

  - `scorecard.thumbprints.data.end_date` (string)
    Last day of statement
    Example: 2020-03-31

  - `scorecard.thumbprints.data.thumbprint_score` (integer)
    Thumbprint score
    Example: 980

  - `scorecard.thumbprints.data.contributing_factors` (string)
    New-line delimited list of contributors to the Thumbprint score
    Example: Currency column positions...
PDF producer not...


  - `scorecard.thumbprints.data.statement_id` (integer)
    Statement identifier
    Example: 123

  - `scorecard.monthlymca` (object)

  - `scorecard.monthlymca.labels` (array)

  - `scorecard.monthlymca.labels.label` (string)

  - `scorecard.monthlymca.labels.name` (string)

  - `scorecard.monthlymca.columns` (array)

  - `scorecard.monthlymca.columns.name` (string)

  - `scorecard.monthlymca.columns.data` (string)

  - `scorecard.monthlymca.data` (array)

  - `scorecard.monthlymca.data.DT_RowId` (string)

  - `scorecard.monthlymca.data.month` (date)
    Date in YYYY-MM-DD format
    Example: 2020-03-31

  - `scorecard.monthlymca.data.workdays` (integer)
    Number of workdays in the month
    Example: 22

  - `scorecard.monthlymca.data.account` (string)
    Account number
    Example: 12345678

  - `scorecard.monthlymca.data.lender` (string)
    Name of the MCA lender
    Example: ACME MCA

  - `scorecard.monthlymca.data.withdrawal_count` (integer)
    Number of withdrawals
    Example: 5

  - `scorecard.monthlymca.data.withdrawal_total` (number)
    Total currency amount of withdrawals
    Example: -15872.20

  - `scorecard.monthlymca.data.deposit_total` (number)
    Total currency amount of deposits
    Example: 20000.00

  - `scorecard.monthlymca.data.deposit_dates` (string)
    List of YYYY-MM-DD formatted dates of deposits
    Example: 2023-03-09, 2023-03-15

  - `scorecard.monthlymca.data.latest_withdrawal_amount` (number)
    Currency amount of latest withdrawalcount
    Example: 511.60

  - `scorecard.mcachanges` (object)
    Shows the MCA transactions where the withdrawal amounts changed.

  - `scorecard.mcachanges.labels` (array)

  - `scorecard.mcachanges.labels.label` (string)

  - `scorecard.mcachanges.labels.name` (string)

  - `scorecard.mcachanges.columns` (array)

  - `scorecard.mcachanges.columns.name` (string)

  - `scorecard.mcachanges.columns.data` (string)

  - `scorecard.mcachanges.data` (array)

  - `scorecard.mcachanges.data.DT_RowId` (string)

  - `scorecard.mcachanges.data.account` (string)
    Account number
    Example: 12345678

  - `scorecard.mcachanges.data.lender` (string)
    Name of the MCA lender
    Example: ACME MCA

  - `scorecard.mcachanges.data.date` (date)
    Date in YYYY-MM-DD format
    Example: 2020-03-31

  - `scorecard.mcachanges.data.description` (string)
    The description of the MCA transaction.

  - `scorecard.mcachanges.data.amount` (float)
    The amount of the withdrawal change.
    Example: -753.53

  - `scorecard.mcachanges.data.memo` (string)
    The memo from the transacation.

  - `scorecard.mcachanges.data.checkNumber` (integer)
    The check number.

  - `scorecard.mcachanges.data.type` (string)
    the type of transaction, if any.

  - `scorecard.mcachanges.data.change` (float)
    Shows how much a withdrawal changed in a MCA transaction.
    Example: Decrease 215.19

  - `scorecard.mcacompanies` (object)

  - `scorecard.mcacompanies.labels` (array)

  - `scorecard.mcacompanies.labels.label` (string)

  - `scorecard.mcacompanies.labels.name` (string)

  - `scorecard.mcacompanies.columns` (array)

  - `scorecard.mcacompanies.columns.name` (string)

  - `scorecard.mcacompanies.columns.data` (string)

  - `scorecard.mcacompanies.data` (array)

  - `scorecard.mcacompanies.data.DT_RowId` (string)

  - `scorecard.mcacompanies.data.lender` (string)
    Name of the MCA lender.
    Example: ACME MCA

  - `scorecard.mcacompanies.data.month` (date)
    Date in YYYY-MM-DD format.
    Example: 2020-03-31

  - `scorecard.mcacompanies.data.workdays` (integer)
    Number of workdays in the month.
    Example: 22

  - `scorecard.mcacompanies.data.term` (number)
    Example: 150.51

  - `scorecard.mcacompanies.data.withdrawal_count` (integer)
    The number of withdrawals.
    Example: 5

  - `scorecard.mcacompanies.data.withdrawal_total` (number)
    Total currency amount of withdrawals.
    Example: -15872.20

  - `scorecard.mcacompanies.data.withdrawal_percent` (number)
    Example: 19%

  - `scorecard.mcacompanies.data.deposit_count` (integer)
    Number of deposits.
    Example: 1

  - `scorecard.mcacompanies.data.deposit_total` (number)
    Total currency amount of deposits.
    Example: 20000.00

  - `scorecard.mcacompanies.data.withdrawal_frequency` (string)
    Frequency of withdrawals.
    Enum: "Daily", "Every Other Day", "Weekly", "Monthly"

  - `scorecard.mcacompanies.data.deposit_dates` (string)
    List of YYYY-MM-DD formatted dates of deposits
    Example: 2023-03-09, 2023-03-15

  - `scorecard.mcacompanies.data.last_withdrawal_date` (string)
    Date of latest withdrawal.
    Example: 2020-03-15

  - `scorecard.mcacompanies.data.last_withdrawal_amount` (number)
    Currency amount of latest withdrawal count.
    Example: 511.60

  - `scorecard.recoverycompanies` (object)

  - `scorecard.recoverycompanies.labels` (array)

  - `scorecard.recoverycompanies.labels.label` (string)

  - `scorecard.recoverycompanies.labels.name` (string)

  - `scorecard.recoverycompanies.columns` (array)

  - `scorecard.recoverycompanies.columns.name` (string)

  - `scorecard.recoverycompanies.columns.data` (string)

  - `scorecard.recoverycompanies.data` (array)

  - `scorecard.recoverycompanies.data.DT_RowId` (string)

  - `scorecard.recoverycompanies.data.lender` (string)
    Name of the MCA lender
    Example: ACME MCA

  - `scorecard.recoverycompanies.data.month` (date)
    Date in YYYY-MM-DD format
    Example: 2020-03-31

  - `scorecard.recoverycompanies.data.workdays` (integer)
    Number of workdays in the month
    Example: 22

  - `scorecard.recoverycompanies.data.term` (number)
    Example: 150.51

  - `scorecard.recoverycompanies.data.withdrawal_count` (integer)
    Number of withdrawals
    Example: 5

  - `scorecard.recoverycompanies.data.withdrawal_total` (number)
    Total currency amount of withdrawals
    Example: -15872.20

  - `scorecard.recoverycompanies.data.withdrawal_percent` (number)
    Example: 19%

  - `scorecard.recoverycompanies.data.deposit_count` (integer)
    Number of deposits
    Example: 1

  - `scorecard.recoverycompanies.data.deposit_total` (number)
    Total currency amount of deposits
    Example: 20000.00

  - `scorecard.recoverycompanies.data.withdrawal_frequency` (string)
    Frequency of withdrawals
    Enum: "Daily", "Every Other Day", "Weekly", "Monthly"

  - `scorecard.recoverycompanies.data.deposit_dates` (string)
    List of YYYY-MM-DD formatted dates of deposits
    Example: 2023-03-09, 2023-03-15

  - `scorecard.recoverycompanies.data.last_withdrawal_date` (string)
    Date of latest withdrawal
    Example: 2020-03-15

  - `scorecard.recoverycompanies.data.last_withdrawal_amount` (number)
    Currency amount of latest withdrawalcount
    Example: 511.60

  - `scorecard.dailybalance` (object)

  - `scorecard.dailybalance.labels` (array)

  - `scorecard.dailybalance.labels.label` (string)

  - `scorecard.dailybalance.labels.name` (string)

  - `scorecard.dailybalance.columns` (array)

  - `scorecard.dailybalance.columns.name` (string)

  - `scorecard.dailybalance.columns.data` (string)

  - `scorecard.dailybalance.data` (array)

  - `scorecard.dailybalance.data.DT_RowId` (string)

  - `scorecard.dailybalance.data.date` (string)
    Last day of the month
    Example: 2020-03-31

  - `scorecard.dailybalance.data.12345678_balance` (number)
    Balance of account 12345678.  Repeated for each account.
    Example: 12345.67

  - `scorecard.dailybalance.data.12345678_true_balance` (number)
    True balance of account 12345678.  Repeated for each account.
    Example: 12345.67

  - `scorecard.declinelist` (object)

  - `scorecard.declinelist.labels` (array)

  - `scorecard.declinelist.labels.label` (string)

  - `scorecard.declinelist.labels.name` (string)

  - `scorecard.declinelist.columns` (array)

  - `scorecard.declinelist.columns.name` (string)

  - `scorecard.declinelist.columns.data` (string)

  - `scorecard.declinelist.data` (array)

  - `scorecard.declinelist.data.decline_reason` (string)
    The reason why a MCA or recovery company is banned. If you have prequalify enabled, this says `Prequalify Rule Failure`.

  - `scorecard.declinelist.data.details` (number)
    The name of the MCA or recovery company. For Prequalify, this will be the rule that resulted in the decline.

  - `scorecard.utilities` (object)
    List of payments made to utility companies found in an application.

  - `scorecard.utilities.accountidx` (integer)
    The index of account from `accountslist`.

  - `scorecard.utilities.account` (string)
    Account number.
    Example: 12345678

  - `scorecard.utilities.id` (integer)
    The unique ID of the transaction.

  - `scorecard.utilities.date` (string)
    The date of the transaction.

  - `scorecard.utilities.description` (string)
    The description of the transaction.

  - `scorecard.utilities.amount` (number)
    The amount of the transaction.

  - `scorecard.utilities.memo` (string)
    The memo from the transacation.

  - `scorecard.utilities.number` (integer)
    Check number

  - `scorecard.dailycashflow` (object)

  - `scorecard.dailycashflow.labels` (array)

  - `scorecard.dailycashflow.labels.label` (string)

  - `scorecard.dailycashflow.labels.name` (string)

  - `scorecard.dailycashflow.columns` (array)

  - `scorecard.dailycashflow.columns.name` (string)

  - `scorecard.dailycashflow.columns.data` (string)

  - `scorecard.dailycashflow.data` (array)

  - `scorecard.dailycashflow.data.DT_RowId` (string)

  - `scorecard.dailycashflow.data.date` (string)
    Day
    Example: 2020-03-31

  - `scorecard.dailycashflow.data.12345678_cash_flow` (number)
    Cashflow for account 12345678.  Repeated for each account.
    Example: 12345.67

  - `scorecard.dailycashflow.data.12345678_true_cash_flow` (number)
    Cashflow for account 12345678, excluding non-true credits.  Repeated for each account.
    Example: 12345.67

  - `scorecard.monthlycashflow` (object)

  - `scorecard.monthlycashflow.labels` (array)

  - `scorecard.monthlycashflow.labels.label` (string)

  - `scorecard.monthlycashflow.labels.name` (string)

  - `scorecard.monthlycashflow.columns` (array)

  - `scorecard.monthlycashflow.columns.name` (string)

  - `scorecard.monthlycashflow.columns.data` (string)

  - `scorecard.monthlycashflow.data` (array)

  - `scorecard.monthlycashflow.data.DT_RowId` (string)

  - `scorecard.monthlycashflow.data.month` (string)
    Month and year
    Example: February 2020

  - `scorecard.monthlycashflow.data.12345678_cash_flow` (number)
    Cashflow for account 12345678.  Repeated for each account.
    Example: 12345.67

  - `scorecard.monthlycashflow.data.12345678_true_cash_flow` (number)
    Cashflow for account 12345678, excluding non-true credits.  Repeated for each account.
    Example: 12345.67

  - `scorecard.monthlynegativedays` (object)

  - `scorecard.monthlynegativedays.labels` (array)

  - `scorecard.monthlynegativedays.labels.label` (string)

  - `scorecard.monthlynegativedays.labels.name` (string)

  - `scorecard.monthlynegativedays.columns` (array)

  - `scorecard.monthlynegativedays.columns.name` (string)

  - `scorecard.monthlynegativedays.columns.data` (string)

  - `scorecard.monthlynegativedays.data` (array)

  - `scorecard.monthlynegativedays.data.DT_RowId` (string)

  - `scorecard.monthlynegativedays.data.month` (string)
    Month and year
    Example: February 2020

  - `scorecard.monthlynegativedays.data.combined_total_count` (integer)
    Example: 1

  - `scorecard.monthlynegativedays.data.combined_weekdays_with_negative_balance` (integer)
    Example: 1

  - `scorecard.monthlynegativedays.data.12345678_total_count` (number)
    Example: 1

  - `scorecard.monthlynegativedays.data.12345678_weekdays_with_negative_balance` (number)
    Example: 1

  - `scorecard.monthlynegativedays.data.12345678_true_total_count` (number)
    Example: 1

  - `scorecard.monthlynegativedays.data.12345678_weekdays_with_true_negative_balance` (number)
    Example: 1

  - `scorecard.monthlyrecovery` (object)

  - `scorecard.monthlyrecovery.labels` (array)

  - `scorecard.monthlyrecovery.labels.label` (string)

  - `scorecard.monthlyrecovery.labels.name` (string)

  - `scorecard.monthlyrecovery.columns` (array)

  - `scorecard.monthlyrecovery.columns.name` (string)

  - `scorecard.monthlyrecovery.columns.data` (string)

  - `scorecard.monthlyrecovery.data` (array)

  - `scorecard.monthlyrecovery.data.DT_RowId` (string)

  - `scorecard.monthlyrecovery.data.month` (date)
    Date in YYYY-MM-DD format
    Example: 2020-03-31

  - `scorecard.monthlyrecovery.data.workdays` (integer)
    Number of workdays in the month
    Example: 22

  - `scorecard.monthlyrecovery.data.account` (string)
    Account number
    Example: 12345678

  - `scorecard.monthlyrecovery.data.lender` (string)
    Name of the Recovery company
    Example: ACME Recovery

  - `scorecard.monthlyrecovery.data.withdrawal_count` (integer)
    Number of withdrawals
    Example: 5

  - `scorecard.monthlyrecovery.data.withdrawal_total` (number)
    Total currency amount of withdrawals
    Example: -15872.20

  - `scorecard.monthlyrecovery.data.deposit_total` (number)
    Total currency amount of deposits
    Example: 20000.00

  - `scorecard.monthlyrecovery.data.deposit_dates` (string)
    List of YYYY-MM-DD formatted dates of deposits
    Example: 2023-03-09, 2023-03-15

  - `scorecard.monthlyrecovery.data.latest_withdrawal_amount` (number)
    Currency amount of latest withdrawalcount
    Example: 511.60

  - `scorecard.debittrans` (object)

  - `scorecard.debittrans.columns` (array)

  - `scorecard.debittrans.columns.name` (string)

  - `scorecard.debittrans.columns.data` (string)

  - `scorecard.debittrans.labels` (array)

  - `scorecard.debittrans.labels.label` (string)

  - `scorecard.debittrans.labels.name` (string)

  - `scorecard.debittrans.data` (array)

  - `scorecard.debittrans.data.DT_RowId` (string)

  - `scorecard.debittrans.data.accountidx` (integer)
    The index of account from `accountslist`.

  - `scorecard.debittrans.data.account` (string)
    Account number.
    Example: 12345678

  - `scorecard.debittrans.data.id` (integer)
    The unique ID of the transaction.

  - `scorecard.debittrans.data.date` (string)
    The date of the transaction.

  - `scorecard.debittrans.data.description` (string)
    The description of the transaction.

  - `scorecard.debittrans.data.amount` (number)
    The amount of the transaction.

  - `scorecard.debittrans.data.memo` (string)
    The memo from the transacation.

  - `scorecard.debittrans.data.number` (integer)
    Check number

  - `scorecard.debittrans.data.matches` (object)
    Match transfer details, if any.

  - `scorecard.debittrans.data.matches.date` (string)
    The date of the match transfer.
    Example: 2026-04-16

  - `scorecard.debittrans.data.matches.amount` (string)
    The amount of the match transfer.
    Example: -1000.00

  - `scorecard.debittrans.data.matches.accountLabel` (string)
    The last 4 digits of the matched account.
    Example: 5216

  - `transactions` (array)

  - `transactions.Account Name` (string)
    The name for the account.

  - `transactions.Account Number` (string)
    The number of the account.

  - `transactions.Statements` (array)

  - `transactions.Statements.statementid` (integer)
    The internal ID for the statement.

  - `transactions.Statements.startdate` (string)
    The statement start date in ISO 8601 format.

  - `transactions.Statements.enddate` (string)
    The statement end date in ISO 8601 format.

  - `transactions.Statements.Transactions` (array)

  - `transactions.Statements.Transactions.date` (string)
    The date of the transaction.

  - `transactions.Statements.Transactions.description` (string)
    The description of the transaction.

  - `transactions.Statements.Transactions.amount` (number)
    The amount of the transaction.

  - `transactions.Statements.Transactions.memo` (string)
    The memo from the transacation.

  - `transactions.Statements.Transactions.checknumber` (integer)
    Check number

  - `transactions.Statements.Transactions.type` (string)
    The type of transaction. It could be Debit or Credit. It only has a value when `showtranstype = true`.

  - `transactions.Statements.Transactions.id` (integer)
    The Unique ID of the transaction.

  - `transactions.Statements.Transactions.possible` (boolean)
    Internal use only.

  - `transactions.Statements.Transactions.trueval` (boolean)
    Shows whether the transactions are considered true revenue.

  - `transactions.Statements.Transactions.balance` (number)
    Account balance. This is only present if `includebalance = true`.

  - `transactions.Statements.Transactions.tags` (array)
    List of tags for a transaction. This appears if `includetransactions = true`.

  - `transactions.Statements.Transactions.tags.tagName` (string)
    The [scorecard section](https://docs.moneythumb.com/api/pdf-insights/scorecard) name the transaction falls under.

  - `transactions.Statements.Transactions.tags.metadata` (string)
    Only populates when `tagName` section includes company names.

  - `transactions.Statements.Transactions.tags.company` (string)
    Name of company from transaction.

  - `transactions.Statements.Transactions.customerId` (string)
    User-provided ID for this transaction that will return unchanged in the results. This appears if `includetransactions = true`.

## Response 400 fields (application/json):

  - `error` (string)
    Example: No file found to process

## Response 401 fields (application/json):

  - `error` (string)
    Example: Bad token

## Response 429 fields (application/json):

  - `error` (string)
    Example: An identical file has been uploaded to this application too many times.

## Response 500 fields (application/json):

  - `error` (string)
    Example: Encountered an unknown error. It has been reported. Please contact support@moneythumb.com for any questions.

  - `requestId` (string)
    Unique identifier for the request, useful for tracing.

## Response 503 fields (application/json):

  - `error` (string)
    Example: Service unavailable

